Plank.SurfaceCacheFlags – plank Reference Manual

# SurfaceCacheFlags

## Description:

[ Flags ]
public enum SurfaceCacheFlags

Controls some internal behaviors of a Plank.SurfaceCache

Namespace: Plank
Package: plank

## Content:

### Enum values:

- ADAPTIVE_SCALE - Allow scaling if the drawing-time is significatly high
- ALLOW_DOWNSCALE - Allow down-scaling of an existing cached surface for better performance
- ALLOW_SCALE - Allow scaling of an existing cached surface for better performance (This basically means the cache will only contain one entry which will be scaled accordingly on request)
- ALLOW_UPSCALE - Allow up- scaling of an existing cached surface for better performance
- NONE